public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Lars Wendler" <polynomial-c@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: net-dns/nsd/
Date: Tue, 12 Jun 2018 08:03:39 +0000 (UTC)	[thread overview]
Message-ID: <1528790611.e038812013482aa04e9bf2666416e7716f71ceb1.polynomial-c@gentoo> (raw)

commit:     e038812013482aa04e9bf2666416e7716f71ceb1
Author:     Lars Wendler <polynomial-c <AT> gentoo <DOT> org>
AuthorDate: Tue Jun 12 08:02:05 2018 +0000
Commit:     Lars Wendler <polynomial-c <AT> gentoo <DOT> org>
CommitDate: Tue Jun 12 08:03:31 2018 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=e0388120

net-dns/nsd: Bump to version 4.1.22

Package-Manager: Portage-2.3.40, Repoman-2.3.9

 net-dns/nsd/Manifest          |   1 +
 net-dns/nsd/nsd-4.1.22.ebuild | 104 ++++++++++++++++++++++++++++++++++++++++++
 2 files changed, 105 insertions(+)

diff --git a/net-dns/nsd/Manifest b/net-dns/nsd/Manifest
index 8d96cd35f71..478c1c6fc01 100644
--- a/net-dns/nsd/Manifest
+++ b/net-dns/nsd/Manifest
@@ -1,2 +1,3 @@
 DIST nsd-4.1.20.tar.gz 1096797 BLAKE2B aa1415933f8d1d1415349407c54cfdec581304ca27733110b45bc109288506ad2a92c110565695ac7cb4afae3b955fe09fe740196f268c810e0be992e4f55353 SHA512 4e646303d9da920a9ad567ea3e04a06d8b66bc0d84117908ae69126c131321d660548f32e7bb54e248dae4f48d5152c0a204bf8bf9262ac4394371c05305b21e
 DIST nsd-4.1.21.tar.gz 1099021 BLAKE2B 129fd3145308c108ef2bd06b854aaf7cdb7ae7cce7a635c2028d210f87bc9591c89d8724b4d7a23d72e06e2ed73287c1379573f8cb3571cc63a47987db4f6b65 SHA512 1e37f433ff5cd4869145a575a89d6eaca6b17c0e029302e233277b400c5f0f0b76ea018d48178d6b8a75b72328f0ded9e885be836c0bb32367d6861ff11c7150
+DIST nsd-4.1.22.tar.gz 1099463 BLAKE2B 955973e9ee01c1a5ed0a7cff38f881c775785b17452538db468f874d032b426a197b3709693c2df148de4a0f87259754b64c7ea02e53d9d96974f8c723267e19 SHA512 cab025b80955a15d174592ba5f0955c59333a988bf11b094c166a80206b51b6fcef65e2e976cd77009bf3fded257719efa4674a3a3a9d859ebc14e35fca2ecfb

diff --git a/net-dns/nsd/nsd-4.1.22.ebuild b/net-dns/nsd/nsd-4.1.22.ebuild
new file mode 100644
index 00000000000..6e71f765df8
--- /dev/null
+++ b/net-dns/nsd/nsd-4.1.22.ebuild
@@ -0,0 +1,104 @@
+# Copyright 1999-2018 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+
+inherit user systemd
+
+# version voodoo needed only for non-release tarballs: 4.0.0_rc1 => 4.0.0rc1
+MY_PV="${PV/_rc/rc}"
+MY_PV="${MY_PV/_beta/b}"
+MY_P="${PN}-${MY_PV}"
+
+DESCRIPTION="An authoritative only, high performance, open source name server"
+HOMEPAGE="http://www.nlnetlabs.nl/projects/nsd"
+SRC_URI="http://www.nlnetlabs.nl/downloads/${PN}/${MY_P}.tar.gz"
+LICENSE="BSD"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+IUSE="bind8-stats ipv6 libevent minimal-responses mmap munin +nsec3 ratelimit root-server runtime-checks ssl libressl"
+
+S="${WORKDIR}/${MY_P}"
+
+RDEPEND="
+	virtual/yacc
+	libevent? ( dev-libs/libevent )
+	ssl? (
+		!libressl? ( dev-libs/openssl:0= )
+		libressl? ( dev-libs/libressl:= )
+	)
+	munin? ( net-analyzer/munin )
+"
+DEPEND="
+	${RDEPEND}
+	sys-devel/flex
+"
+
+src_prepare() {
+	# Fix the paths in the munin plugin to match our install
+	eapply "${FILESDIR}"/nsd_munin_.patch
+	eapply_user
+}
+
+src_configure() {
+	local myeconfargs=(
+		--enable-pie
+		--enable-relro-now
+		--enable-largefile
+		--with-logfile="${EPREFIX}"/var/log/nsd.log
+		--with-pidfile="${EPREFIX}"/run/nsd/nsd.pid
+		--with-dbfile="${EPREFIX}"/var/db/nsd/nsd.db
+		--with-xfrdir="${EPREFIX}"/var/db/nsd
+		--with-xfrdfile="${EPREFIX}"/var/db/nsd/xfrd.state
+		--with-zonelistfile="${EPREFIX}"/var/db/nsd/zone.list
+		--with-zonesdir="${EPREFIX}"/var/lib/nsd
+		$(use_enable bind8-stats)
+		$(use_enable bind8-stats zone-stats)
+		$(use_enable ipv6)
+		$(use_enable minimal-responses)
+		$(use_enable mmap)
+		$(use_enable nsec3)
+		$(use_enable ratelimit)
+		$(use_enable root-server)
+		$(use_enable runtime-checks checking)
+		$(use_with libevent)
+		$(use_with ssl)
+	)
+	econf "${myeconfargs[@]}"
+}
+
+src_install() {
+	emake DESTDIR="${D}" install
+
+	dodoc doc/{ChangeLog,CREDITS,NSD-4-features,NSD-FOR-BIND-USERS,README,RELNOTES,REQUIREMENTS}
+
+	newinitd "${FILESDIR}"/nsd.initd-r1 nsd
+
+	# install munin plugin and config
+	if use munin ; then
+		exeinto /usr/libexec/munin/plugins
+		doexe contrib/nsd_munin_
+		insinto /etc/munin/plugin-conf.d
+		newins "${FILESDIR}"/nsd.munin-conf nsd_munin
+	fi
+
+	systemd_dounit "${FILESDIR}"/nsd.service
+
+	# remove the /run directory that usually resides on tmpfs and is
+	# being taken care of by the nsd init script anyway (checkpath)
+	rm -r "${ED%/}"/run || die "Failed to remove /run"
+
+	keepdir /var/db/${PN}
+}
+
+pkg_postinst() {
+	# Do this in postinst to ensure the uid/gid is consistent for binpkgs
+	enewgroup nsd
+	enewuser nsd -1 -1 -1 nsd
+
+	# database directory, writable by nsd for database updates and zone transfers
+	install -d -m 750 -o nsd -g nsd "${EROOT%/}"/var/db/nsd
+
+	# zones directory, writable by nsd for zone file updates (nsd-control write)
+	install -d -m 750 -o nsd -g nsd "${EROOT%/}"/var/lib/nsd
+}


             reply	other threads:[~2018-06-12  8:03 UTC|newest]

Thread overview: 113+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2018-06-12  8:03 Lars Wendler [this message]
  -- strict thread matches above, loose matches on Subject: below --
2024-10-06 13:30 [gentoo-commits] repo/gentoo:master commit in: net-dns/nsd/ Jakov Smolić
2024-10-06 13:30 Jakov Smolić
2024-08-04 11:52 Joshua Kinard
2024-07-15  1:57 Sam James
2024-07-15  1:41 Sam James
2024-06-18 22:17 Joshua Kinard
2024-06-05  4:25 Joshua Kinard
2024-04-17 22:01 Sam James
2024-04-17  6:54 Sam James
2024-02-25  2:52 Jakov Smolić
2024-02-25  2:52 Jakov Smolić
2024-02-25  0:01 Joshua Kinard
2023-12-08  8:35 Sam James
2023-07-14 17:07 Arthur Zamarin
2023-07-14 16:02 Arthur Zamarin
2023-06-07  9:10 Sam James
2022-12-28 15:00 Sam James
2022-12-21 22:47 Sam James
2022-12-21 20:03 Arthur Zamarin
2022-12-18 20:24 Arthur Zamarin
2022-11-10  9:03 Sam James
2022-11-10  9:03 Sam James
2022-11-10  8:45 Sam James
2022-07-01  8:41 Sam James
2022-06-30  7:03 Agostino Sarubbo
2022-06-30  7:01 Agostino Sarubbo
2022-06-29 17:49 Sam James
2022-05-14 12:01 Lars Wendler
2022-02-18 13:43 Lars Wendler
2022-01-28 15:46 Lars Wendler
2021-12-09 20:24 Lars Wendler
2021-12-09 20:24 Lars Wendler
2021-12-09 20:24 Lars Wendler
2021-10-12 19:45 Lars Wendler
2021-10-12 19:45 Lars Wendler
2021-10-12 19:45 Lars Wendler
2021-07-22 18:25 Lars Wendler
2021-07-22 18:25 Lars Wendler
2021-07-22 18:25 Lars Wendler
2021-05-02 16:40 Mikle Kolyada
2021-04-07  7:49 Lars Wendler
2021-02-07  1:12 Sam James
2021-01-26 16:06 Lars Wendler
2020-12-08  7:32 Lars Wendler
2020-12-08  7:32 Lars Wendler
2020-12-02 14:05 Lars Wendler
2020-12-01 23:36 Lars Wendler
2020-12-01 23:36 Lars Wendler
2020-10-08 15:51 Lars Wendler
2020-10-08 15:51 Lars Wendler
2020-07-15  8:10 Lars Wendler
2020-07-15  8:10 Lars Wendler
2020-04-17  7:34 Lars Wendler
2020-03-22  0:53 Lars Wendler
2020-03-22  0:53 Lars Wendler
2020-03-22  0:53 Lars Wendler
2019-12-11  9:00 Lars Wendler
2019-12-05  9:16 Lars Wendler
2019-11-21 17:21 Lars Wendler
2019-10-07  8:04 Lars Wendler
2019-08-23 21:21 Lars Wendler
2019-08-23 21:21 Lars Wendler
2019-08-13 16:40 Lars Wendler
2019-07-10  7:59 Lars Wendler
2019-06-12 10:45 Lars Wendler
2019-06-12 10:45 Lars Wendler
2019-03-25 19:08 Lars Wendler
2019-03-25 19:08 Lars Wendler
2019-03-25 19:08 Lars Wendler
2018-12-05 10:15 Lars Wendler
2018-12-05 10:15 Lars Wendler
2018-12-05 10:15 Lars Wendler
2018-12-05 10:15 Lars Wendler
2018-09-26  7:59 Lars Wendler
2018-09-26  7:59 Lars Wendler
2018-09-26  7:59 Lars Wendler
2018-08-16 19:55 Lars Wendler
2018-08-14 12:44 Lars Wendler
2018-07-31  8:44 Lars Wendler
2018-07-31  8:44 Lars Wendler
2018-06-12  8:03 Lars Wendler
2018-06-12  8:03 Lars Wendler
2018-05-15  5:23 Lars Wendler
2018-02-21  8:45 Lars Wendler
2018-02-21  8:45 Lars Wendler
2018-02-21  8:43 Lars Wendler
2018-01-09 11:55 Lars Wendler
2018-01-09 11:55 Lars Wendler
2017-12-12 14:46 Lars Wendler
2017-12-12 14:46 Lars Wendler
2017-11-30 19:05 Lars Wendler
2017-07-21 21:59 Lars Wendler
2017-07-21 21:59 Lars Wendler
2017-07-21 21:59 Lars Wendler
2017-04-26 17:27 Lars Wendler
2017-02-16 23:49 Lars Wendler
2017-01-02 15:15 Agostino Sarubbo
2017-01-02 11:36 Lars Wendler
2017-01-02  8:56 Lars Wendler
2017-01-02  8:55 Lars Wendler
2016-12-08 20:52 Lars Wendler
2016-12-08 20:52 Lars Wendler
2016-09-27 22:34 Lars Wendler
2016-09-07  9:36 Lars Wendler
2016-09-06 18:19 Lars Wendler
2016-09-06 18:19 Lars Wendler
2016-08-24 16:00 Lars Wendler
2016-08-23 13:18 Lars Wendler
2016-08-23 13:18 Lars Wendler
2016-08-06 16:51 Michał Górny
2016-04-07 14:37 Lars Wendler
2015-12-14 10:41 Lars Wendler

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1528790611.e038812013482aa04e9bf2666416e7716f71ceb1.polynomial-c@gentoo \
    --to=polynomial-c@gentoo.org \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox